input[type="radio"].input-radio {
    visibility: hidden;
    display: inherit;
    height: 0;
    width: 0;

    + label {
        @include _transition(all);
        @include _display-flex(flex, center, flex-start);
        padding: 10px;
        border-radius: $border-radius;
        background: rgba($color-white, .6);

        cursor: pointer;
        @include _font-headline('regular', $color-grey-paragraph);
        @include _font-size($font-size-paragraph);

        &:before {
            @include _getIcon('radio-unchecked');
            display: block;
            position: relative;
            @include _font-size($font-size-3);
        }

        &:not(:empty):before {
            margin-right: 10px;
        }

        @include _link-active {
            color: $color-paragraph;
            background: $color-white;
        }
    }

    &:checked + label {
        color: $color-paragraph;
        background: $color-white;

        &:before {
            @include _getIcon('radio-checked');

        }
    }

    @include _link-disabled() {
        + label {
            @include _forms-disabled-styles();
        }
    }
}